Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.request
Class DeletePublisherAssertions

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.request.DeletePublisherAssertions

All Implemented Interfaces:
  java.io.Serializable

public class DeletePublisherAssertions
extends UDDIElement

Represents the delete_publisherAssertions element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

Used to delete specific publisher assertions from the assertion collection controlled by a particular publisher account. Deleting the assertion collection will affect the visibility of assertions from the business relationships. Deleting an assertion will cause any relationships based on that assertion to be invalidated.

Author:
  Mahesh C S (csmahesh@india.hp.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`DeletePublisherAssertions()` Default constructor.
`DeletePublisherAssertions(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`DeletePublisherAssertions(java.lang.String authInfo, java.util.Vector pubAssertVector)` Construct the object with required fields.

Method Summary
`AuthInfo` | `getAuthInfo()`
`java.lang.String` | `getAuthInfoString()`
`java.util.Vector` | `getPublisherAssertionVector()` Get PublisherAssertion vector
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setAuthInfo(AuthInfo s)`
`void` | `setAuthInfo(java.lang.String s)`
`void` | `setPublisherAssertionVector(java.util.Vector pubAssertVector)` Set PublisherAssertion vector

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### DeletePublisherAssertions

    public DeletePublisherAssertions()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### DeletePublisherAssertions

    public DeletePublisherAssertions(org.w3c.dom.Element base)
                              throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

### DeletePublisherAssertions

    public DeletePublisherAssertions(java.lang.String authInfo,
                                     java.util.Vector pubAssertVector)
                              throws UDDIException

  Construct the object with required fields.

Parameters:
  `authInfo` - String
  `pubAssertVector` - Vector

Method Detail

### setPublisherAssertionVector

    public void setPublisherAssertionVector(java.util.Vector pubAssertVector)

  Set PublisherAssertion vector

  Parameters:
    `pubAssertVector` - Vector of PublisherAssertion objects.

### getPublisherAssertionVector

    public java.util.Vector getPublisherAssertionVector()

  Get PublisherAssertion vector

  Returns:
    Vector of PublisherAssertion objects.

### getAuthInfo

    public AuthInfo getAuthInfo()

### setAuthInfo

    public void setAuthInfo(AuthInfo s)

### getAuthInfoString

    public java.lang.String getAuthInfoString()

### setAuthInfo

    public void setAuthInfo(java.lang.String s)

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.